package com.ruoyi.ems.domain;

import java.sql.Time;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 用能计量-小时对象 adm_ems_facs_use_h
 * 
 * @author ruoyi
 * @date 2024-08-15
 */
public class ElecUseH extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 园区代码 */
    private String areaCode;

    @Excel(name = "服务区")
    private String areaName;

    private String areaShortName;

    /** 设施代码 */
    private String facsCode;

    @Excel(name = "设施代码")
    private String facsName;

    /** 设施类型 */
    @Excel(name = "设施类型")
    private String facsType;

    /** 设施子类 */
    @Excel(name = "设施子类")
    private String facsSubtype;

    /** 日期 yyyy-MM-dd */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期 yyyy-MM-dd", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 时间 HH:mm:ss */
    @JsonFormat(pattern = "HH:mm:ss")
    @Excel(name = "时间 HH:mm:ss", width = 30, dateFormat = "HH:mm:ss")
    private Time time;

    /** 时间序列 */
    @Excel(name = "时间序列")
    private Long timeIndex;


    /** 用电量 单位：kW-h（千瓦时） */
    @Excel(name = "用电量 单位：kW-h", readConverterExp = "千=瓦时")
    private Long elecQuantity;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaShortName() {
        return areaShortName;
    }

    public void setAreaShortName(String areaShortName) {
        this.areaShortName = areaShortName;
    }

    public String getFacsCode() {
        return facsCode;
    }

    public void setFacsCode(String facsCode) {
        this.facsCode = facsCode;
    }

    public String getFacsName() {
        return facsName;
    }

    public void setFacsName(String facsName) {
        this.facsName = facsName;
    }

    public String getFacsType() {
        return facsType;
    }

    public void setFacsType(String facsType) {
        this.facsType = facsType;
    }

    public String getFacsSubtype() {
        return facsSubtype;
    }

    public void setFacsSubtype(String facsSubtype) {
        this.facsSubtype = facsSubtype;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Time getTime() {
        return time;
    }

    public void setTime(Time time) {
        this.time = time;
    }

    public Long getTimeIndex() {
        return timeIndex;
    }

    public void setTimeIndex(Long timeIndex) {
        this.timeIndex = timeIndex;
    }

    public Long getElecQuantity() {
        return elecQuantity;
    }

    public void setElecQuantity(Long elecQuantity) {
        this.elecQuantity = elecQuantity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaCode", getAreaCode())
            .append("facsCode", getFacsCode())
            .append("facsType", getFacsType())
            .append("facsSubtype", getFacsSubtype())
            .append("date", getDate())
            .append("time", getTime())
            .append("timeIndex", getTimeIndex())
            .append("elecQuantity", getElecQuantity())
            .toString();
    }
}
